Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Interface IJavaEditorActionDefinitionIds

All Superinterfaces:
  ITextEditorActionDefinitionIds, IWorkbenchActionDefinitionIds

public interface IJavaEditorActionDefinitionIds
extends ITextEditorActionDefinitionIds

Defines the definition IDs for the Java editor actions.

This interface is not intended to be implemented or extended.

.

Since:
  2.0

Field Summary
`static String` | `ADD_BLOCK_COMMENT` Action definition ID of the source -> add block comment action (value `"org.eclipse.jdt.ui.edit.text.java.add.block.comment"`).
`static String` | `ADD_IMPORT` Action definition ID of the source -> add import action (value `"org.eclipse.jdt.ui.edit.text.java.add.import"`).
`static String` | `ADD_JAVADOC_COMMENT` Action definition ID of the source -> add javadoc comment action (value `"org.eclipse.jdt.ui.edit.text.java.add.javadoc.comment"`).
`static String` | `ADD_UNIMPLEMENTED_CONTRUCTORS` Action definition ID of the source -> add unimplemented constructors action (value `"org.eclipse.jdt.ui.edit.text.java.add.unimplemented.constructors"`).
`static String` | `CHANGE_TYPE` Action definition ID of the refactor -> change type action (value `"org.eclipse.jdt.ui.edit.text.java.change.type"`).
`static String` | `COMMENT` Action definition ID of the source -> comment action (value `"org.eclipse.jdt.ui.edit.text.java.comment"`).
`static String` | `CONTENT_ASSIST_COMPLETE_PREFIX` Action definition ID of the edit -> content assist complete prefix action (value: `"org.eclipse.jdt.ui.edit.text.java.complete.prefix"`).
`static String` | `CONVERT_ANONYMOUS_TO_NESTED` Action definition ID of the refactor -> convert anonymous to nested action (value `"org.eclipse.jdt.ui.edit.text.java.convert.anonymous.to.nested"`).
`static String` | `CORRECTION_ASSIST_PROPOSALS` Action definition ID of the edit -> correction assist proposal action (value `"org.eclipse.jdt.ui.edit.text.java.correction.assist.proposals"`).
`static String` | `CREATE_DELEGATE_METHODS` Action definition ID of the source -> generate delegates action (value `"org.eclipse.jdt.ui.edit.text.java.create.delegate.methods"`).
`static String` | `CREATE_GETTER_SETTER` Action definition ID of the source -> generate setter/getter action (value `"org.eclipse.jdt.ui.edit.text.java.create.getter.setter"`).
`static String` | `EXTERNALIZE_STRINGS` Action definition ID of the source -> externalize strings action (value `"org.eclipse.jdt.ui.edit.text.java.externalize.strings"`).
`static String` | `EXTRACT_CONSTANT` Action definition ID of the refactor -> extract constant action (value `"org.eclipse.jdt.ui.edit.text.java.extract.constant"`).
`static String` | `EXTRACT_INTERFACE` Action definition ID of the refactor -> extract interface action (value `"org.eclipse.jdt.ui.edit.text.java.extract.interface"`).
`static String` | `EXTRACT_LOCAL_VARIABLE` Action definition ID of the refactor -> extract local variable action (value `"org.eclipse.jdt.ui.edit.text.java.extract.local.variable"`).
`static String` | `EXTRACT_METHOD` Action definition ID of the refactor -> extract method action (value `"org.eclipse.jdt.ui.edit.text.java.extract.method"`).
`static String` | `FIND_STRINGS_TO_EXTERNALIZE` Action definition ID of the source -> find strings to externalize action (value `"org.eclipse.jdt.ui.edit.text.java.find.strings.to.externalize"`).
`static String` | `FORMAT` Action definition ID of the source -> format action (value `"org.eclipse.jdt.ui.edit.text.java.format"`).
`static String` | `GENERATE_CONSTRUCTOR_USING_FIELDS` Action definition ID of the source ->generate constructor using fields action (value `"org.eclipse.jdt.ui.edit.text.java.generate.constructor.using.fields"`).
`static String` | `GOTO_MATCHING_BRACKET` Action definition ID of the edit -> go to matching bracket action (value `"org.eclipse.jdt.ui.edit.text.java.goto.matching.bracket"`).
`static String` | `GOTO_NEXT_MEMBER` Action definition ID of the edit -> go to next member action (value `"org.eclipse.jdt.ui.edit.text.java.goto.next.member"`).
`static String` | `GOTO_PREVIOUS_MEMBER` Action definition ID of the edit -> go to previous member action (value `"org.eclipse.jdt.ui.edit.text.java.goto.previous.member"`).
`static String` | `INDENT` Action definition ID of the source -> indent action (value `"org.eclipse.jdt.ui.edit.text.java.indent"`).
`static String` | `INLINE` Action definition ID of the refactor -> inline action (value `"org.eclipse.jdt.ui.edit.text.java.inline"`).
`static String` | `INLINE_LOCAL_VARIABLE` Deprecated. Use INLINE
`static String` | `INTRODUCE_FACTORY` Action definition ID of the refactor -> introduce factory action (value `"org.eclipse.jdt.ui.edit.text.java.introduce.factory"`).
`static String` | `INTRODUCE_PARAMETER` Action definition ID of the refactor -> introduce parameter action (value `"org.eclipse.jdt.ui.edit.text.java.introduce.parameter"`).
`static String` | `MODIFY_METHOD_PARAMETERS` Action definition ID of the refactor -> modify method parameters action (value `"org.eclipse.jdt.ui.edit.text.java.modify.method.parameters"`).
`static String` | `MOVE_ELEMENT` Action definition ID of the refactor -> move element action (value `"org.eclipse.jdt.ui.edit.text.java.move.element"`).
`static String` | `MOVE_INNER_TO_TOP` Action definition ID of the refactor -> move inner type to top level action (value `"org.eclipse.jdt.ui.edit.text.java.move.inner.to.top.level"`).
`static String` | `OPEN_CALL_HIERARCHY` Action definition ID of the navigate -> open call hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.org.eclipse.jdt.ui.edit.text.java.open.call.hierarchy"`).
`static String` | `OPEN_EDITOR` Action definition ID of the navigate -> open action (value `"org.eclipse.jdt.ui.edit.text.java.open.editor"`).
`static String` | `OPEN_EXTERNAL_JAVADOC` Action definition ID of the navigate -> open external javadoc action (value `"org.eclipse.jdt.ui.edit.text.java.open.external.javadoc"`).
`static String` | `OPEN_HIERARCHY` Action definition ID of the navigate -> Show Hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.open.hierarchy"`).
`static String` | `OPEN_STRUCTURE` Action definition ID of the Navigate -> Open Structure action (value `"org.eclipse.jdt.ui.navigate.java.open.structure"`).
`static String` | `OPEN_SUPER_IMPLEMENTATION` Action definition ID of the navigate -> open super implementation action (value `"org.eclipse.jdt.ui.edit.text.java.open.super.implementation"`).
`static String` | `OPEN_TYPE_HIERARCHY` Action definition ID of the navigate -> open type hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.org.eclipse.jdt.ui.edit.text.java.open.type.hierarchy"`).
`static String` | `ORGANIZE_IMPORTS` Action definition ID of the source -> organize imports action (value `"org.eclipse.jdt.ui.edit.text.java.organize.imports"`).
`static String` | `OVERRIDE_METHODS` Action definition ID of the source -> override methods action (value `"org.eclipse.jdt.ui.edit.text.java.override.methods"`).
`static String` | `PROMOTE_LOCAL_VARIABLE` Action definition ID of the refactor -> promote local variable action (value `"org.eclipse.jdt.ui.edit.text.java.promote.local.variable"`).
`static String` | `PULL_UP` Action definition ID of the refactor -> pull up action (value `"org.eclipse.jdt.ui.edit.text.java.pull.up"`).
`static String` | `PUSH_DOWN` Action definition ID of the refactor -> push down action (value `"org.eclipse.jdt.ui.edit.text.java.push.down"`).
`static String` | `QUICK_FORMAT` Action definition id of the java quick format action (value: `"org.eclipse.jdt.ui.edit.text.java.quick.format"`).
`static String` | `REMOVE_BLOCK_COMMENT` Action definition ID of the source -> remove block comment action (value `"org.eclipse.jdt.ui.edit.text.java.remove.block.comment"`).
`static String` | `REMOVE_OCCURRENCE_ANNOTATIONS` Action definition ID of the remove occurrence annotations action (value `"org.eclipse.jdt.ui.edit.text.remove.occurrence.annotations"`).
`static String` | `RENAME_ELEMENT` Action definition ID of the refactor -> rename element action (value `"org.eclipse.jdt.ui.edit.text.java.rename.element"`).
`static String` | `SEARCH_DECLARATIONS_IN_HIERARCHY` Action definition ID of the search -> declarations in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.hierarchy"`).
`static String` | `SEARCH_DECLARATIONS_IN_PROJECTS` Action definition ID of the search -> declarations in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.project"`).
`static String` | `SEARCH_DECLARATIONS_IN_WORKING_SET` Action definition ID of the search -> declarations in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.working.set"`).
`static String` | `SEARCH_DECLARATIONS_IN_WORKSPACE` Action definition ID of the search -> declarations in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.workspace"`).
`static String` | `SEARCH_IMPLEMENTORS_IN_PROJECT` Action definition ID of the search -> implementors in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.implementors.in.project"`).
`static String` | `SEARCH_IMPLEMENTORS_IN_WORKING_SET` Action definition ID of the search -> implementors in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.implementors.in.working.set"`).
`static String` | `SEARCH_IMPLEMENTORS_IN_WORKSPACE` Action definition ID of the search -> implementors in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.implementors.in.workspace"`).
`static String` | `SEARCH_READ_ACCESS_IN_HIERARCHY` Action definition ID of the search -> read access in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.hierarchy"`).
`static String` | `SEARCH_READ_ACCESS_IN_PROJECT` Action definition ID of the search -> read access in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.project"`).
`static String` | `SEARCH_READ_ACCESS_IN_WORKING_SET` Action definition ID of the search -> read access in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.working.set"`).
`static String` | `SEARCH_READ_ACCESS_IN_WORKSPACE` Action definition ID of the search -> read access in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.workspace"`).
`static String` | `SEARCH_REFERENCES_IN_HIERARCHY` Action definition ID of the search -> references in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.hierarchy"`).
`static String` | `SEARCH_REFERENCES_IN_PROJECT` Action definition ID of the search -> references in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.project"`).
`static String` | `SEARCH_REFERENCES_IN_WORKING_SET` Action definition ID of the search -> references in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.working.set"`).
`static String` | `SEARCH_REFERENCES_IN_WORKSPACE` Action definition ID of the search -> references in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.workspace"`).
`static String` | `SEARCH_WRITE_ACCESS_IN_HIERARCHY` Action definition ID of the search -> write access in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.hierarchy"`).
`static String` | `SEARCH_WRITE_ACCESS_IN_PROJECT` Action definition ID of the search -> write access in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.project"`).
`static String` | `SEARCH_WRITE_ACCESS_IN_WORKING_SET` Action definition ID of the search -> write access in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.working.set"`).
`static String` | `SEARCH_WRITE_ACCESS_IN_WORKSPACE` Action definition ID of the search -> write access in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.workspace"`).
`static String` | `SELECT_ENCLOSING` Action definition ID of the edit -> select enclosing action (value `"org.eclipse.jdt.ui.edit.text.java.select.enclosing"`).
`static String` | `SELECT_LAST` Action definition ID of the edit -> select restore last action (value `"org.eclipse.jdt.ui.edit.text.java.select.last"`).
`static String` | `SELECT_NEXT` Action definition ID of the edit -> select next action (value `"org.eclipse.jdt.ui.edit.text.java.select.next"`).
`static String` | `SELECT_PREVIOUS` Action definition ID of the edit -> select previous action (value `"org.eclipse.jdt.ui.edit.text.java.select.previous"`).
`static String` | `SELF_ENCAPSULATE_FIELD` Action definition ID of the refactor -> self encapsulate field action (value `"org.eclipse.jdt.ui.edit.text.java.self.encapsulate.field"`).
`static String` | `SHOW_IN_NAVIGATOR_VIEW` Action definition ID of the navigate -> show in navigator action (value `"org.eclipse.jdt.ui.edit.text.java.show.in.navigator.view"`).
`static String` | `SHOW_IN_PACKAGE_VIEW` Action definition ID of the navigate -> show in package explorer action (value `"org.eclipse.jdt.ui.edit.text.java.show.in.package.view"`).
`static String` | `SHOW_JAVADOC` Action definition ID of the edit -> show Javadoc action (value `"org.eclipse.jdt.ui.edit.text.java.show.javadoc"`).
`static String` | `SHOW_NEXT_PROBLEM` Deprecated. as of 3.0 replaced by `ITextEditorActionDefinitionIds.GOTO_NEXT_ANNOTATION`
`static String` | `SHOW_OUTLINE` Action definition ID of the navigate -> Show Outline action (value `"org.eclipse.jdt.ui.edit.text.java.show.outline"`).
`static String` | `SHOW_PREVIOUS_PROBLEM` Deprecated. as of 3.0 replaced by `ITextEditorActionDefinitionIds.GOTO_PREVIOUS_ANNOTATION`
`static String` | `SORT_MEMBERS` Action definition ID of the source -> sort order action (value `"org.eclipse.jdt.ui.edit.text.java.sort.members"`).
`static String` | `SURROUND_WITH_TRY_CATCH` Action definition ID of the source -> surround with try/catch action (value `"org.eclipse.jdt.ui.edit.text.java.surround.with.try.catch"`).
`static String` | `TOGGLE_COMMENT` Action definition ID of the source -> toggle comment action (value `"org.eclipse.jdt.ui.edit.text.java.toggle.comment"`).
`static String` | `TOGGLE_MARK_OCCURRENCES` Action definition id of toggle mark occurrences action (value: `"org.eclipse.jdt.ui.edit.text.java.toggleMarkOccurrences"`).
`static String` | `TOGGLE_PRESENTATION` Deprecated. as of 3.0 replaced by `ITextEditorActionDefinitionIds.TOGGLE_SHOW_SELECTED_ELEMENT_ONLY`
`static String` | `TOGGLE_SMART_TYPING` Action definition ID of the edit -> smart typing action (value `"org.eclipse.jdt.smartTyping.toggle"`).
`static String` | `TOGGLE_TEXT_HOVER` Action definition ID of the toggle text hover tool bar button action (value `"org.eclipse.jdt.ui.edit.text.java.toggle.text.hover"`).
`static String` | `UNCOMMENT` Action definition ID of the source -> uncomment action (value `"org.eclipse.jdt.ui.edit.text.java.uncomment"`).
`static String` | `USE_SUPERTYPE` Action definition ID of the refactor -> use supertype action (value `"org.eclipse.jdt.ui.edit.text.java.use.supertype"`).

Fields inherited from interface org.eclipse.ui.texteditor.ITextEditorActionDefinitionIds
`CLEAR_MARK, COLUMN_NEXT, COLUMN_PREVIOUS, CONTENT_ASSIST_CONTEXT_INFORMATION, CONTENT_ASSIST_PROPOSALS, CONVERT_LINE_DELIMITERS_TO_MAC, CONVERT_LINE_DELIMITERS_TO_UNIX, CONVERT_LINE_DELIMITERS_TO_WINDOWS, COPY_LINES_DOWN, COPY_LINES_UP, CUT_LINE, CUT_LINE_TO_BEGINNING, CUT_LINE_TO_END, DELETE_LINE, DELETE_LINE_TO_BEGINNING, DELETE_LINE_TO_END, DELETE_NEXT, DELETE_NEXT_WORD, DELETE_PREVIOUS, DELETE_PREVIOUS_WORD, GOTO_LAST_EDIT_POSITION, GOTO_NEXT_ANNOTATION, GOTO_PREVIOUS_ANNOTATION, LINE_DOWN, LINE_END, LINE_GOTO, LINE_START, LINE_UP, LOWER_CASE, MOVE_LINES_DOWN, MOVE_LINES_UP, PAGE_DOWN, PAGE_UP, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SELECT_COLUMN_NEXT, SELECT_COLUMN_PREVIOUS, SELECT_LINE_DOWN, SELECT_LINE_END, SELECT_LINE_START, SELECT_LINE_UP, SELECT_PAGE_DOWN, SELECT_PAGE_UP, SELECT_TEXT_END, SELECT_TEXT_START, SELECT_WINDOW_END, SELECT_WINDOW_START, SELECT_WORD_NEXT, SELECT_WORD_PREVIOUS, SET_MARK, SHIFT_LEFT, SHIFT_RIGHT, SHOW_RULER_CONTEXT_MENU, SMART_ENTER, SMART_ENTER_INVERSE, SWAP_MARK, TEXT_END, TEXT_START, TOGGLE_INSERT_MODE, TOGGLE_OVERWRITE, TOGGLE_SHOW_SELECTED_ELEMENT_ONLY, UPPER_CASE, WINDOW_END, WINDOW_START, WORD_NEXT, WORD_PREVIOUS`

Fields inherited from interface org.eclipse.ui.texteditor.IWorkbenchActionDefinitionIds
`ADD_BOOKMARK, ADD_TASK, COPY, CUT, DELETE, FIND_INCREMENTAL, FIND_INCREMENTAL_REVERSE, FIND_NEXT, FIND_PREVIOUS, FIND_REPLACE, MOVE, PASTE, PRINT, REDO, RENAME, REVERT_TO_SAVED, SAVE, SELECT_ALL, UNDO`

Field Detail

### TOGGLE_SMART_TYPING

    public static final String TOGGLE_SMART_TYPING

  Action definition ID of the edit -> smart typing action (value `"org.eclipse.jdt.smartTyping.toggle"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### GOTO_MATCHING_BRACKET

    public static final String GOTO_MATCHING_BRACKET

  Action definition ID of the edit -> go to matching bracket action (value `"org.eclipse.jdt.ui.edit.text.java.goto.matching.bracket"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### GOTO_NEXT_MEMBER

    public static final String GOTO_NEXT_MEMBER

  Action definition ID of the edit -> go to next member action (value `"org.eclipse.jdt.ui.edit.text.java.goto.next.member"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### GOTO_PREVIOUS_MEMBER

    public static final String GOTO_PREVIOUS_MEMBER

  Action definition ID of the edit -> go to previous member action (value `"org.eclipse.jdt.ui.edit.text.java.goto.previous.member"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### SELECT_ENCLOSING

    public static final String SELECT_ENCLOSING

  Action definition ID of the edit -> select enclosing action (value `"org.eclipse.jdt.ui.edit.text.java.select.enclosing"`).

  See Also:
    Constant Field Values

### SELECT_NEXT

    public static final String SELECT_NEXT

  Action definition ID of the edit -> select next action (value `"org.eclipse.jdt.ui.edit.text.java.select.next"`).

  See Also:
    Constant Field Values

### SELECT_PREVIOUS

    public static final String SELECT_PREVIOUS

  Action definition ID of the edit -> select previous action (value `"org.eclipse.jdt.ui.edit.text.java.select.previous"`).

  See Also:
    Constant Field Values

### SELECT_LAST

    public static final String SELECT_LAST

  Action definition ID of the edit -> select restore last action (value `"org.eclipse.jdt.ui.edit.text.java.select.last"`).

  See Also:
    Constant Field Values

### CORRECTION_ASSIST_PROPOSALS

    public static final String CORRECTION_ASSIST_PROPOSALS

  Action definition ID of the edit -> correction assist proposal action (value `"org.eclipse.jdt.ui.edit.text.java.correction.assist.proposals"`).

  See Also:
    Constant Field Values

### CONTENT_ASSIST_COMPLETE_PREFIX

    public static final String CONTENT_ASSIST_COMPLETE_PREFIX

  Action definition ID of the edit -> content assist complete prefix action (value: `"org.eclipse.jdt.ui.edit.text.java.complete.prefix"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### SHOW_JAVADOC

    public static final String SHOW_JAVADOC

  Action definition ID of the edit -> show Javadoc action (value `"org.eclipse.jdt.ui.edit.text.java.show.javadoc"`).

  See Also:
    Constant Field Values

### SHOW_OUTLINE

    public static final String SHOW_OUTLINE

  Action definition ID of the navigate -> Show Outline action (value `"org.eclipse.jdt.ui.edit.text.java.show.outline"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### OPEN_HIERARCHY

    public static final String OPEN_HIERARCHY

  Action definition ID of the navigate -> Show Hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.open.hierarchy"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### OPEN_STRUCTURE

    public static final String OPEN_STRUCTURE

  Action definition ID of the Navigate -> Open Structure action (value `"org.eclipse.jdt.ui.navigate.java.open.structure"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### COMMENT

    public static final String COMMENT

  Action definition ID of the source -> comment action (value `"org.eclipse.jdt.ui.edit.text.java.comment"`).

  See Also:
    Constant Field Values

### UNCOMMENT

    public static final String UNCOMMENT

  Action definition ID of the source -> uncomment action (value `"org.eclipse.jdt.ui.edit.text.java.uncomment"`).

  See Also:
    Constant Field Values

### TOGGLE_COMMENT

    public static final String TOGGLE_COMMENT

  Action definition ID of the source -> toggle comment action (value `"org.eclipse.jdt.ui.edit.text.java.toggle.comment"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### ADD_BLOCK_COMMENT

    public static final String ADD_BLOCK_COMMENT

  Action definition ID of the source -> add block comment action (value `"org.eclipse.jdt.ui.edit.text.java.add.block.comment"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### REMOVE_BLOCK_COMMENT

    public static final String REMOVE_BLOCK_COMMENT

  Action definition ID of the source -> remove block comment action (value `"org.eclipse.jdt.ui.edit.text.java.remove.block.comment"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### INDENT

    public static final String INDENT

  Action definition ID of the source -> indent action (value `"org.eclipse.jdt.ui.edit.text.java.indent"`).

  See Also:
    Constant Field Values

### FORMAT

    public static final String FORMAT

  Action definition ID of the source -> format action (value `"org.eclipse.jdt.ui.edit.text.java.format"`).

  See Also:
    Constant Field Values

### QUICK_FORMAT

    public static final String QUICK_FORMAT

  Action definition id of the java quick format action (value: `"org.eclipse.jdt.ui.edit.text.java.quick.format"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### ADD_IMPORT

    public static final String ADD_IMPORT

  Action definition ID of the source -> add import action (value `"org.eclipse.jdt.ui.edit.text.java.add.import"`).

  See Also:
    Constant Field Values

### ORGANIZE_IMPORTS

    public static final String ORGANIZE_IMPORTS

  Action definition ID of the source -> organize imports action (value `"org.eclipse.jdt.ui.edit.text.java.organize.imports"`).

  See Also:
    Constant Field Values

### SORT_MEMBERS

    public static final String SORT_MEMBERS

  Action definition ID of the source -> sort order action (value `"org.eclipse.jdt.ui.edit.text.java.sort.members"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### ADD_JAVADOC_COMMENT

    public static final String ADD_JAVADOC_COMMENT

  Action definition ID of the source -> add javadoc comment action (value `"org.eclipse.jdt.ui.edit.text.java.add.javadoc.comment"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### SURROUND_WITH_TRY_CATCH

    public static final String SURROUND_WITH_TRY_CATCH

  Action definition ID of the source -> surround with try/catch action (value `"org.eclipse.jdt.ui.edit.text.java.surround.with.try.catch"`).

  See Also:
    Constant Field Values

### OVERRIDE_METHODS

    public static final String OVERRIDE_METHODS

  Action definition ID of the source -> override methods action (value `"org.eclipse.jdt.ui.edit.text.java.override.methods"`).

  See Also:
    Constant Field Values

### ADD_UNIMPLEMENTED_CONTRUCTORS

    public static final String ADD_UNIMPLEMENTED_CONTRUCTORS

  Action definition ID of the source -> add unimplemented constructors action (value `"org.eclipse.jdt.ui.edit.text.java.add.unimplemented.constructors"`).

  See Also:
    Constant Field Values

### GENERATE_CONSTRUCTOR_USING_FIELDS

    public static final String GENERATE_CONSTRUCTOR_USING_FIELDS

  Action definition ID of the source ->generate constructor using fields action (value `"org.eclipse.jdt.ui.edit.text.java.generate.constructor.using.fields"`).

  See Also:
    Constant Field Values

### CREATE_GETTER_SETTER

    public static final String CREATE_GETTER_SETTER

  Action definition ID of the source -> generate setter/getter action (value `"org.eclipse.jdt.ui.edit.text.java.create.getter.setter"`).

  See Also:
    Constant Field Values

### CREATE_DELEGATE_METHODS

    public static final String CREATE_DELEGATE_METHODS

  Action definition ID of the source -> generate delegates action (value `"org.eclipse.jdt.ui.edit.text.java.create.delegate.methods"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### EXTERNALIZE_STRINGS

    public static final String EXTERNALIZE_STRINGS

  Action definition ID of the source -> externalize strings action (value `"org.eclipse.jdt.ui.edit.text.java.externalize.strings"`).

  See Also:
    Constant Field Values

### FIND_STRINGS_TO_EXTERNALIZE

    public static final String FIND_STRINGS_TO_EXTERNALIZE

  Action definition ID of the source -> find strings to externalize action (value `"org.eclipse.jdt.ui.edit.text.java.find.strings.to.externalize"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### SHOW_NEXT_PROBLEM

    public static final String SHOW_NEXT_PROBLEM

  Deprecated. as of 3.0 replaced by `ITextEditorActionDefinitionIds.GOTO_NEXT_ANNOTATION`

  Note: this id is for internal use only.

  See Also:
    Constant Field Values

### SHOW_PREVIOUS_PROBLEM

    public static final String SHOW_PREVIOUS_PROBLEM

  Deprecated. as of 3.0 replaced by `ITextEditorActionDefinitionIds.GOTO_PREVIOUS_ANNOTATION`

  Note: this id is for internal use only.

  See Also:
    Constant Field Values

### PULL_UP

    public static final String PULL_UP

  Action definition ID of the refactor -> pull up action (value `"org.eclipse.jdt.ui.edit.text.java.pull.up"`).

  See Also:
    Constant Field Values

### PUSH_DOWN

    public static final String PUSH_DOWN

  Action definition ID of the refactor -> push down action (value `"org.eclipse.jdt.ui.edit.text.java.push.down"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### RENAME_ELEMENT

    public static final String RENAME_ELEMENT

  Action definition ID of the refactor -> rename element action (value `"org.eclipse.jdt.ui.edit.text.java.rename.element"`).

  See Also:
    Constant Field Values

### MODIFY_METHOD_PARAMETERS

    public static final String MODIFY_METHOD_PARAMETERS

  Action definition ID of the refactor -> modify method parameters action (value `"org.eclipse.jdt.ui.edit.text.java.modify.method.parameters"`).

  See Also:
    Constant Field Values

### MOVE_ELEMENT

    public static final String MOVE_ELEMENT

  Action definition ID of the refactor -> move element action (value `"org.eclipse.jdt.ui.edit.text.java.move.element"`).

  See Also:
    Constant Field Values

### EXTRACT_LOCAL_VARIABLE

    public static final String EXTRACT_LOCAL_VARIABLE

  Action definition ID of the refactor -> extract local variable action (value `"org.eclipse.jdt.ui.edit.text.java.extract.local.variable"`).

  See Also:
    Constant Field Values

### EXTRACT_CONSTANT

    public static final String EXTRACT_CONSTANT

  Action definition ID of the refactor -> extract constant action (value `"org.eclipse.jdt.ui.edit.text.java.extract.constant"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### INTRODUCE_PARAMETER

    public static final String INTRODUCE_PARAMETER

  Action definition ID of the refactor -> introduce parameter action (value `"org.eclipse.jdt.ui.edit.text.java.introduce.parameter"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### INTRODUCE_FACTORY

    public static final String INTRODUCE_FACTORY

  Action definition ID of the refactor -> introduce factory action (value `"org.eclipse.jdt.ui.edit.text.java.introduce.factory"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### INLINE_LOCAL_VARIABLE

    public static final String INLINE_LOCAL_VARIABLE

  Deprecated. Use INLINE

  Action definition ID of the refactor -> inline local variable action (value `"org.eclipse.jdt.ui.edit.text.java.inline.local.variable"`).

  See Also:
    Constant Field Values

### SELF_ENCAPSULATE_FIELD

    public static final String SELF_ENCAPSULATE_FIELD

  Action definition ID of the refactor -> self encapsulate field action (value `"org.eclipse.jdt.ui.edit.text.java.self.encapsulate.field"`).

  See Also:
    Constant Field Values

### EXTRACT_METHOD

    public static final String EXTRACT_METHOD

  Action definition ID of the refactor -> extract method action (value `"org.eclipse.jdt.ui.edit.text.java.extract.method"`).

  See Also:
    Constant Field Values

### INLINE

    public static final String INLINE

  Action definition ID of the refactor -> inline action (value `"org.eclipse.jdt.ui.edit.text.java.inline"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### EXTRACT_INTERFACE

    public static final String EXTRACT_INTERFACE

  Action definition ID of the refactor -> extract interface action (value `"org.eclipse.jdt.ui.edit.text.java.extract.interface"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### CHANGE_TYPE

    public static final String CHANGE_TYPE

  Action definition ID of the refactor -> change type action (value `"org.eclipse.jdt.ui.edit.text.java.change.type"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### MOVE_INNER_TO_TOP

    public static final String MOVE_INNER_TO_TOP

  Action definition ID of the refactor -> move inner type to top level action (value `"org.eclipse.jdt.ui.edit.text.java.move.inner.to.top.level"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### USE_SUPERTYPE

    public static final String USE_SUPERTYPE

  Action definition ID of the refactor -> use supertype action (value `"org.eclipse.jdt.ui.edit.text.java.use.supertype"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### PROMOTE_LOCAL_VARIABLE

    public static final String PROMOTE_LOCAL_VARIABLE

  Action definition ID of the refactor -> promote local variable action (value `"org.eclipse.jdt.ui.edit.text.java.promote.local.variable"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### CONVERT_ANONYMOUS_TO_NESTED

    public static final String CONVERT_ANONYMOUS_TO_NESTED

  Action definition ID of the refactor -> convert anonymous to nested action (value `"org.eclipse.jdt.ui.edit.text.java.convert.anonymous.to.nested"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### OPEN_EDITOR

    public static final String OPEN_EDITOR

  Action definition ID of the navigate -> open action (value `"org.eclipse.jdt.ui.edit.text.java.open.editor"`).

  See Also:
    Constant Field Values

### OPEN_SUPER_IMPLEMENTATION

    public static final String OPEN_SUPER_IMPLEMENTATION

  Action definition ID of the navigate -> open super implementation action (value `"org.eclipse.jdt.ui.edit.text.java.open.super.implementation"`).

  See Also:
    Constant Field Values

### OPEN_EXTERNAL_JAVADOC

    public static final String OPEN_EXTERNAL_JAVADOC

  Action definition ID of the navigate -> open external javadoc action (value `"org.eclipse.jdt.ui.edit.text.java.open.external.javadoc"`).

  See Also:
    Constant Field Values

### OPEN_TYPE_HIERARCHY

    public static final String OPEN_TYPE_HIERARCHY

  Action definition ID of the navigate -> open type hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.org.eclipse.jdt.ui.edit.text.java.open.type.hierarchy"`).

  See Also:
    Constant Field Values

### OPEN_CALL_HIERARCHY

    public static final String OPEN_CALL_HIERARCHY

  Action definition ID of the navigate -> open call hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.org.eclipse.jdt.ui.edit.text.java.open.call.hierarchy"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### SHOW_IN_PACKAGE_VIEW

    public static final String SHOW_IN_PACKAGE_VIEW

  Action definition ID of the navigate -> show in package explorer action (value `"org.eclipse.jdt.ui.edit.text.java.show.in.package.view"`).

  See Also:
    Constant Field Values

### SHOW_IN_NAVIGATOR_VIEW

    public static final String SHOW_IN_NAVIGATOR_VIEW

  Action definition ID of the navigate -> show in navigator action (value `"org.eclipse.jdt.ui.edit.text.java.show.in.navigator.view"`).

  See Also:
    Constant Field Values

### SEARCH_REFERENCES_IN_WORKSPACE

    public static final String SEARCH_REFERENCES_IN_WORKSPACE

  Action definition ID of the search -> references in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.workspace"`).

  See Also:
    Constant Field Values

### SEARCH_REFERENCES_IN_PROJECT

    public static final String SEARCH_REFERENCES_IN_PROJECT

  Action definition ID of the search -> references in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.project"`).

  See Also:
    Constant Field Values

### SEARCH_REFERENCES_IN_HIERARCHY

    public static final String SEARCH_REFERENCES_IN_HIERARCHY

  Action definition ID of the search -> references in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.hierarchy"`).

  See Also:
    Constant Field Values

### SEARCH_REFERENCES_IN_WORKING_SET

    public static final String SEARCH_REFERENCES_IN_WORKING_SET

  Action definition ID of the search -> references in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.references.in.working.set"`).

  See Also:
    Constant Field Values

### SEARCH_READ_ACCESS_IN_WORKSPACE

    public static final String SEARCH_READ_ACCESS_IN_WORKSPACE

  Action definition ID of the search -> read access in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.workspace"`).

  See Also:
    Constant Field Values

### SEARCH_READ_ACCESS_IN_PROJECT

    public static final String SEARCH_READ_ACCESS_IN_PROJECT

  Action definition ID of the search -> read access in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.project"`).

  See Also:
    Constant Field Values

### SEARCH_READ_ACCESS_IN_HIERARCHY

    public static final String SEARCH_READ_ACCESS_IN_HIERARCHY

  Action definition ID of the search -> read access in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.hierarchy"`).

  See Also:
    Constant Field Values

### SEARCH_READ_ACCESS_IN_WORKING_SET

    public static final String SEARCH_READ_ACCESS_IN_WORKING_SET

  Action definition ID of the search -> read access in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.read.access.in.working.set"`).

  See Also:
    Constant Field Values

### SEARCH_WRITE_ACCESS_IN_WORKSPACE

    public static final String SEARCH_WRITE_ACCESS_IN_WORKSPACE

  Action definition ID of the search -> write access in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.workspace"`).

  See Also:
    Constant Field Values

### SEARCH_WRITE_ACCESS_IN_PROJECT

    public static final String SEARCH_WRITE_ACCESS_IN_PROJECT

  Action definition ID of the search -> write access in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.project"`).

  See Also:
    Constant Field Values

### SEARCH_WRITE_ACCESS_IN_HIERARCHY

    public static final String SEARCH_WRITE_ACCESS_IN_HIERARCHY

  Action definition ID of the search -> write access in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.hierarchy"`).

  See Also:
    Constant Field Values

### SEARCH_WRITE_ACCESS_IN_WORKING_SET

    public static final String SEARCH_WRITE_ACCESS_IN_WORKING_SET

  Action definition ID of the search -> write access in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.write.access.in.working.set"`).

  See Also:
    Constant Field Values

### SEARCH_DECLARATIONS_IN_WORKSPACE

    public static final String SEARCH_DECLARATIONS_IN_WORKSPACE

  Action definition ID of the search -> declarations in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.workspace"`).

  See Also:
    Constant Field Values

### SEARCH_DECLARATIONS_IN_PROJECTS

    public static final String SEARCH_DECLARATIONS_IN_PROJECTS

  Action definition ID of the search -> declarations in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.project"`).

  See Also:
    Constant Field Values

### SEARCH_DECLARATIONS_IN_HIERARCHY

    public static final String SEARCH_DECLARATIONS_IN_HIERARCHY

  Action definition ID of the search -> declarations in hierarchy action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.hierarchy"`).

  See Also:
    Constant Field Values

### SEARCH_DECLARATIONS_IN_WORKING_SET

    public static final String SEARCH_DECLARATIONS_IN_WORKING_SET

  Action definition ID of the search -> declarations in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.declarations.in.working.set"`).

  See Also:
    Constant Field Values

### SEARCH_IMPLEMENTORS_IN_WORKSPACE

    public static final String SEARCH_IMPLEMENTORS_IN_WORKSPACE

  Action definition ID of the search -> implementors in workspace action (value `"org.eclipse.jdt.ui.edit.text.java.search.implementors.in.workspace"`).

  See Also:
    Constant Field Values

### SEARCH_IMPLEMENTORS_IN_WORKING_SET

    public static final String SEARCH_IMPLEMENTORS_IN_WORKING_SET

  Action definition ID of the search -> implementors in working set action (value `"org.eclipse.jdt.ui.edit.text.java.search.implementors.in.working.set"`).

  See Also:
    Constant Field Values

### SEARCH_IMPLEMENTORS_IN_PROJECT

    public static final String SEARCH_IMPLEMENTORS_IN_PROJECT

  Action definition ID of the search -> implementors in project action (value `"org.eclipse.jdt.ui.edit.text.java.search.implementors.in.project"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### TOGGLE_PRESENTATION

    public static final String TOGGLE_PRESENTATION

  Deprecated. as of 3.0 replaced by `ITextEditorActionDefinitionIds.TOGGLE_SHOW_SELECTED_ELEMENT_ONLY`

  Action definition ID of the toggle presentation tool bar button action (value `"org.eclipse.jdt.ui.edit.text.java.toggle.presentation"`).

  See Also:
    Constant Field Values

### TOGGLE_TEXT_HOVER

    public static final String TOGGLE_TEXT_HOVER

  Action definition ID of the toggle text hover tool bar button action (value `"org.eclipse.jdt.ui.edit.text.java.toggle.text.hover"`).

  See Also:
    Constant Field Values

### REMOVE_OCCURRENCE_ANNOTATIONS

    public static final String REMOVE_OCCURRENCE_ANNOTATIONS

  Action definition ID of the remove occurrence annotations action (value `"org.eclipse.jdt.ui.edit.text.remove.occurrence.annotations"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### TOGGLE_MARK_OCCURRENCES

    public static final String TOGGLE_MARK_OCCURRENCES

  Action definition id of toggle mark occurrences action (value: `"org.eclipse.jdt.ui.edit.text.java.toggleMarkOccurrences"`).

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.